*** Variables ***
${LED}                          sysbus.hsgpio1.greenled

*** Test Cases ***
blinky on rd_rw612_bga_rw612_ethernet
    ${x}=                       Execute Command         include @${CURDIR}/blinky.resc
    Create Terminal Tester      sysbus.flexcomm3    timeout=15
    Create LED Tester           ${LED}

    Wait For Line On Uart       *** Booting Zephyr OS build 810f978bed4f ***    pauseEmulation=true
    Wait For Line On Uart       LED state: (ON|OFF)      treatAsRegex=true            pauseEmulation=true
    Assert LED Is Blinking      testDuration=4  onDuration=1  offDuration=1           pauseEmulation=true